Bug 1526495 - [RFE] Requests link in Compute->Infrastructure Vertical Nav
Summary: [RFE] Requests link in Compute->Infrastructure Vertical Nav
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Mike Shriver
URL:
Whiteboard: rbac:service
: 1375495 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-15 16:04 UTC by Mike Shriver
Modified: 2019-02-07 23:00 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:52 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
mshriver: automate_bug+


Attachments (Terms of Use)
Screenshot showing both access control tree and vertical nav (107.73 KB, image/jpeg)
2017-12-15 16:04 UTC, Mike Shriver
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:59 UTC

Description Mike Shriver 2017-12-15 16:04:15 UTC
Created attachment 1368548 [details]
Screenshot showing both access control tree and vertical nav

Description of problem:
There is a link to 'Requests' in the Compute->Infrastrcuture Vertical navigation when logged in as a user configured with the roles:
EvmRole-desktop
EvmRole-approver
EvmRole-user
EvmRole-vm_user
EvmRole-administrator
EvmRole-super_administrator

This 'requests' page links to the Services->Requests page.

The page is not included in the RBAC access tree for these roles (or any role), as it is under 'Services' where it should be.

The item should be removed from veritical navigation under Compute->Infrastructure.

Version-Release number of selected component (if applicable):
5.8.3.0
5.9.0.13

How reproducible:
100%

Comment 1 Mike Shriver 2017-12-15 22:53:48 UTC
Very similar issue that may be the same core bug - 'Requests' is available as evmrole-super_administrator under Automation->Automate.

Harpreet would you like me to write a separate BZ for Automation?

Comment 2 Mike Shriver 2018-01-04 15:23:36 UTC
Sudhir why is this considered an RFE?

There are items included in the vertical navigation which the administrator has no control over, because there is not a matching item in the access control tree when configuring role access.  

This is a bug, not an enhancement to remove this erroneous vertical navigation entry.

Comment 3 Sudhir Mallamprabhakara 2018-01-25 15:33:10 UTC
Upon re-visiting, I agree that this needs to be a bug.. Removing RFE.. Thanks Mike.

Comment 5 Harpreet Kataria 2018-03-01 19:29:22 UTC
*** Bug 1375495 has been marked as a duplicate of this bug. ***

Comment 6 Harpreet Kataria 2018-06-18 19:35:19 UTC
Fixed by https://github.com/ManageIQ/manageiq-ui-classic/pull/4062

Comment 7 Mike Shriver 2018-07-05 18:35:34 UTC
Verified in CFME 5.10.0.2, the 'Requests' link is no longer in Compute->Infrastructure vertical nav for the listed users.

Comment 8 errata-xmlrpc 2019-02-07 23:00:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.